import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { SlickCarouselComponent } from 'ngx-slick-carousel';
import { File } from '../inspire-library.interface';
import * as i0 from "@angular/core";
export declare class PhotoStreamComponent implements OnInit, OnChanges {
    SlickCarousel: SlickCarouselComponent;
    photos: File[];
    photosPerSlide: number;
    viewAll: EventEmitter<any>;
    slides: string[][];
    slideConfig: {
        slidesToShow: number;
        slidesToScroll: number;
        arrows: boolean;
    };
    constructor();
    ngOnInit(): void;
    ngOnChanges(): void;
    divideIntoSlides(photos: string[], photosPerSlide: any): string[][];
    onViewAll(): void;
    static ɵfac: i0.ɵɵFactoryDef<PhotoStreamComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<PhotoStreamComponent, "ins-photo-stream", never, { "photos": "photos"; "photosPerSlide": "photosPerSlide"; }, { "viewAll": "viewAll"; }, never, never>;
}
